Module javafx.graphics
Package javafx.scene.shape

## Class Box

- java.lang.Object
- - javafx.scene.Node
  - - javafx.scene.shape.Shape3D
    - - javafx.scene.shape.Box

- All Implemented Interfaces:
    `Styleable`, `EventTarget`

      public class Box
      extends Shape3D

  The `Box` class defines a 3 dimensional box with the specified size. A `Box` is a 3D geometry primitive created with a given depth, width, and height. It is centered at the origin.
  Since:
    JavaFX 8.0

- - ### Property Summary

    Properties
    Type | Property | Description
    --- | --- | ---
    `DoubleProperty` | `depth` | Defines the depth or the Z dimension of the Box.
    `DoubleProperty` | `height` | Defines the height or the Y dimension of the Box.
    `DoubleProperty` | `width` | Defines the width or the X dimension of the Box.

    - ### Properties inherited from class javafx.scene.shape.Shape3D

      `cullFace, drawMode, material`

    - ### Properties inherited from class javafx.scene.Node

      `accessibleHelp, accessibleRoleDescription, accessibleRole, accessibleText, blendMode, boundsInLocal, boundsInParent, cacheHint, cache, clip, cursor, depthTest, disabled, disable, effectiveNodeOrientation, effect, eventDispatcher, focused, focusTraversable, hover, id, inputMethodRequests, layoutBounds, layoutX, layoutY, localToParentTransform, localToSceneTransform, managed, mouseTransparent, nodeOrientation, onContextMenuRequested, onDragDetected, onDragDone, onDragDropped, onDragEntered, onDragExited, onDragOver, onInputMethodTextChanged, onKeyPressed, onKeyReleased, onKeyTyped, onMouseClicked, onMouseDragEntered, onMouseDragExited, onMouseDragged, onMouseDragOver, onMouseDragReleased, onMouseEntered, onMouseExited, onMouseMoved, onMousePressed, onMouseReleased, onRotate, onRotationFinished, onRotationStarted, onScrollFinished, onScroll, onScrollStarted, onSwipeDown, onSwipeLeft, onSwipeRight, onSwipeUp, onTouchMoved, onTouchPressed, onTouchReleased, onTouchStationary, onZoomFinished, onZoom, onZoomStarted, opacity, parent, pickOnBounds, pressed, rotate, rotationAxis, scaleX, scaleY, scaleZ, scene, style, translateX, translateY, translateZ, viewOrder, visible`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static double` | `DEFAULT_SIZE` |

    - ### Fields inherited from class javafx.scene.Node

      `BASELINE_OFFSET_SAME_AS_HEIGHT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Box()` | Creates a new instance of `Box` of dimension 2 by 2 by 2.
    `Box​(double width, double height, double depth)` | Creates a new instance of `Box` of dimension width by height by depth.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `DoubleProperty` | `depthProperty()` | Defines the depth or the Z dimension of the Box.
    `double` | `getDepth()` | Gets the value of the property depth.
    `double` | `getHeight()` | Gets the value of the property height.
    `double` | `getWidth()` | Gets the value of the property width.
    `DoubleProperty` | `heightProperty()` | Defines the height or the Y dimension of the Box.
    `void` | `setDepth​(double value)` | Sets the value of the property depth.
    `void` | `setHeight​(double value)` | Sets the value of the property height.
    `void` | `setWidth​(double value)` | Sets the value of the property width.
    `DoubleProperty` | `widthProperty()` | Defines the width or the X dimension of the Box.

    - ### Methods inherited from class javafx.scene.shape.Shape3D

      `cullFaceProperty, drawModeProperty, getCullFace, getDrawMode, getMaterial, materialProperty, setCullFace, setDrawMode, setMaterial`

    - ### Methods inherited from class javafx.scene.Node

      `accessibleHelpProperty, accessibleRoleDescriptionProperty, accessibleRoleProperty, accessibleTextProperty, addEventFilter, addEventHandler, applyCss, autosize, blendModeProperty, boundsInLocalProperty, boundsInParentProperty, buildEventDispatchChain, cacheHintProperty, cacheProperty, clipProperty, computeAreaInScreen, contains, contains, cursorProperty, depthTestProperty, disabledProperty, disableProperty, effectiveNodeOrientationProperty, effectProperty, eventDispatcherProperty, executeAccessibleAction, fireEvent, focusedProperty, focusTraversableProperty, getAccessibleHelp, getAccessibleRole, getAccessibleRoleDescription, getAccessibleText, getBaselineOffset, getBlendMode, getBoundsInLocal, getBoundsInParent, getCacheHint, getClassCssMetaData, getClip, getContentBias, getCssMetaData, getCursor, getDepthTest, getEffect, getEffectiveNodeOrientation, getEventDispatcher, getId, getInitialCursor, getInitialFocusTraversable, getInputMethodRequests, getLayoutBounds, getLayoutX, getLayoutY, getLocalToParentTransform, getLocalToSceneTransform, getNodeOrientation, getOnContextMenuRequested, getOnDragDetected, getOnDragDone, getOnDragDropped, getOnDragEntered, getOnDragExited, getOnDragOver, getOnInputMethodTextChanged, getOnKeyPressed, getOnKeyReleased, getOnKeyTyped, getOnMouseClicked, getOnMouseDragEntered, getOnMouseDragExited, getOnMouseDragged, getOnMouseDragOver, getOnMouseDragReleased, getOnMouseEntered, getOnMouseExited, getOnMouseMoved, getOnMousePressed, getOnMouseReleased, getOnRotate, getOnRotationFinished, getOnRotationStarted, getOnScroll, getOnScrollFinished, getOnScrollStarted, getOnSwipeDown, getOnSwipeLeft, getOnSwipeRight, getOnSwipeUp, getOnTouchMoved, getOnTouchPressed, getOnTouchReleased, getOnTouchStationary, getOnZoom, getOnZoomFinished, getOnZoomStarted, getOpacity, getParent, getProperties, getPseudoClassStates, getRotate, getRotationAxis, getScaleX, getScaleY, getScaleZ, getScene, getStyle, getStyleableParent, getStyleClass, getTransforms, getTranslateX, getTranslateY, getTranslateZ, getTypeSelector, getUserData, getViewOrder, hasProperties, hoverProperty, idProperty, inputMethodRequestsProperty, intersects, intersects, isCache, isDisable, isDisabled, isFocused, isFocusTraversable, isHover, isManaged, isMouseTransparent, isPickOnBounds, isPressed, isResizable, isVisible, layoutBoundsProperty, layoutXProperty, layoutYProperty, localToParent, localToParent, localToParent, localToParent, localToParent, localToParentTransformProperty, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToScene, localToSceneTransformProperty, localToScreen, localToScreen, localToScreen, localToScreen, localToScreen, lookup, lookupAll, managedProperty, maxHeight, maxWidth, minHeight, minWidth, mouseTransparentProperty, nodeOrientationProperty, notifyAccessibleAttributeChanged, onContextMenuRequestedProperty, onDragDetectedProperty, onDragDoneProperty, onDragDroppedProperty, onDragEnteredProperty, onDragExitedProperty, onDragOverProperty, onInputMethodTextChangedProperty, onKeyPressedProperty, onKeyReleasedProperty, onKeyTypedProperty, onMouseClickedProperty, onMouseDragEnteredProperty, onMouseDragExitedProperty, onMouseDraggedProperty, onMouseDragOverProperty, onMouseDragReleasedProperty, onMouseEnteredProperty, onMouseExitedProperty, onMouseMovedProperty, onMousePressedProperty, onMouseReleasedProperty, onRotateProperty, onRotationFinishedProperty, onRotationStartedProperty, onScrollFinishedProperty, onScrollProperty, onScrollStartedProperty, onSwipeDownProperty, onSwipeLeftProperty, onSwipeRightProperty, onSwipeUpProperty, onTouchMovedProperty, onTouchPressedProperty, onTouchReleasedProperty, onTouchStationaryProperty, onZoomFinishedProperty, onZoomProperty, onZoomStartedProperty, opacityProperty, parentProperty, parentToLocal, parentToLocal, parentToLocal, parentToLocal, parentToLocal, pickOnBoundsProperty, prefHeight, prefWidth, pressedProperty, pseudoClassStateChanged, queryAccessibleAttribute, relocate, removeEventFilter, removeEventHandler, requestFocus, resize, resizeRelocate, rotateProperty, rotationAxisProperty, scaleXProperty, scaleYProperty, scaleZProperty, sceneProperty, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, sceneToLocal, screenToLocal, screenToLocal, screenToLocal, setAccessibleHelp, setAccessibleRole, setAccessibleRoleDescription, setAccessibleText, setBlendMode, setCache, setCacheHint, setClip, setCursor, setDepthTest, setDisable, setDisabled, setEffect, setEventDispatcher, setEventHandler, setFocused, setFocusTraversable, setHover, setId, setInputMethodRequests, setLayoutX, setLayoutY, setManaged, setMouseTransparent, setNodeOrientation, setOnContextMenuRequested, setOnDragDetected, setOnDragDone, setOnDragDropped, setOnDragEntered, setOnDragExited, setOnDragOver, setOnInputMethodTextChanged, setOnKeyPressed, setOnKeyReleased, setOnKeyTyped, setOnMouseClicked, setOnMouseDragEntered, setOnMouseDragExited, setOnMouseDragged, setOnMouseDragOver, setOnMouseDragReleased, setOnMouseEntered, setOnMouseExited, setOnMouseMoved, setOnMousePressed, setOnMouseReleased, setOnRotate, setOnRotationFinished, setOnRotationStarted, setOnScroll, setOnScrollFinished, setOnScrollStarted, setOnSwipeDown, setOnSwipeLeft, setOnSwipeRight, setOnSwipeUp, setOnTouchMoved, setOnTouchPressed, setOnTouchReleased, setOnTouchStationary, setOnZoom, setOnZoomFinished, setOnZoomStarted, setOpacity, setPickOnBounds, setPressed, setRotate, setRotationAxis, setScaleX, setScaleY, setScaleZ, setStyle, setTranslateX, setTranslateY, setTranslateZ, setUserData, setViewOrder, setVisible, snapshot, snapshot, startDragAndDrop, startFullDrag, styleProperty, toBack, toFront, toString, translateXProperty, translateYProperty, translateZProperty, usesMirroring, viewOrderProperty, visibleProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javafx.css.Styleable

      `getStyleableNode`

- - ### Property Detail

    - #### depth

          public final DoubleProperty depthProperty

      Defines the depth or the Z dimension of the Box.
      Default value:
        2.0
      See Also:
        `getDepth()`, `setDepth(double)`

    - #### height

          public final DoubleProperty heightProperty

      Defines the height or the Y dimension of the Box.
      Default value:
        2.0
      See Also:
        `getHeight()`, `setHeight(double)`

    - #### width

          public final DoubleProperty widthProperty

      Defines the width or the X dimension of the Box.
      Default value:
        2.0
      See Also:
        `getWidth()`, `setWidth(double)`

  - ### Field Detail

    - #### DEFAULT_SIZE

          public static final double DEFAULT_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Box

          public Box()

      Creates a new instance of `Box` of dimension 2 by 2 by 2.

    - #### Box

          public Box​(double width,
                     double height,
                     double depth)

      Creates a new instance of `Box` of dimension width by height by depth.
      Parameters:
        `width` - the width of this box
        `height` - the height of this box
        `depth` - the depth of this box

  - ### Method Detail

    - #### setDepth

          public final void setDepth​(double value)

      Sets the value of the property depth.
      Property description:
        Defines the depth or the Z dimension of the Box.
      Default value:
        2.0

    - #### getDepth

          public final double getDepth()

      Gets the value of the property depth.
      Property description:
        Defines the depth or the Z dimension of the Box.
      Default value:
        2.0

    - #### depthProperty

          public final DoubleProperty depthProperty()

      Defines the depth or the Z dimension of the Box.
      Default value:
        2.0
      See Also:
        `getDepth()`, `setDepth(double)`

    - #### setHeight

          public final void setHeight​(double value)

      Sets the value of the property height.
      Property description:
        Defines the height or the Y dimension of the Box.
      Default value:
        2.0

    - #### getHeight

          public final double getHeight()

      Gets the value of the property height.
      Property description:
        Defines the height or the Y dimension of the Box.
      Default value:
        2.0

    - #### heightProperty

          public final DoubleProperty heightProperty()

      Defines the height or the Y dimension of the Box.
      Default value:
        2.0
      See Also:
        `getHeight()`, `setHeight(double)`

    - #### setWidth

          public final void setWidth​(double value)

      Sets the value of the property width.
      Property description:
        Defines the width or the X dimension of the Box.
      Default value:
        2.0

    - #### getWidth

          public final double getWidth()

      Gets the value of the property width.
      Property description:
        Defines the width or the X dimension of the Box.
      Default value:
        2.0

    - #### widthProperty

          public final DoubleProperty widthProperty()

      Defines the width or the X dimension of the Box.
      Default value:
        2.0
      See Also:
        `getWidth()`, `setWidth(double)`